      SUBROUTINE CHRB(R,C)
C
C Converts real R into character*4, C; F4.2 if R .GE. 1., else F4.3
C
C Variable dictionary:
C
C  Name  Type Description
C ------  -   -- -  -   -    -     -      -       -        -         -
C C       C*4 Character*4 variable
C R       R   Real number
C
C
C Notes:
C 22-Apr-1996 @ DynTel-wcs Request 2-498 RSD Credits for Tech 1 & 2
C
C
C Declare variables
C
      CHARACTER C*4
C
      INTEGER I, J, K, L
C
      REAL R
C
      IF (R.GE.1.) THEN
C
C If R is greater than 1, or equal to 1, convert to character*4
C suitable for reading as F4.2.
C Evaluate the integer values for the first four positions in R,
C for example, 1.234 <-> I.JKL where J, K, and L are single digit
C integers, but I might not be.
C
        I = INT(R)
C
C Check to see if I is greater than 9
C
        IF (I.GT.9) THEN
C
C Can't output a number greater than or equal to 10
C
          PRINT *, 'WARNING:  a credit was greater than or equal to ',
     & '10. and was replaced by 9.99'
          C='9.99'
          GO TO 99
        ENDIF
C
        J = INT( (R*10.  ) - INT(R     )*10 )
        K = INT( (R*100. ) - INT(R*10. )*10 )
        L = INT( (R*1000.) - INT(R*100.)*10 )
C
C Check to see if number in the thousandths place is
C between 0.0049999 and 0.0050000.
C For example, 1.235 is represented as 9.2349999..., which is a
C problem, since INT(9.235*1000.) -> 9234, but the above test will
C be used to set L to 5 if necessary and solve the problem.
C
        IF ( ( (R*100.-FLOAT(INT(R*100.))) .GT. 0.49999 ).AND.
     &       ( (R*100.-FLOAT(INT(R*100.))) .LE. 0.50000 ) ) L=5
C
C Note that the CHAR function has the following mapping:
C CHAR(48) -> '0', CHAR(49) -> '1', ... , CHAR(57) -> '9'
C
        C(1:1) = CHAR(I+48)
        C(2:2) = '.'
        C(3:3) = CHAR(J+48)
C
        IF (L.GE.5) THEN
C
C Round up
C
          IF (K.EQ.9) THEN
            C(4:4) = '0'
C
C And increment next position
C
            IF (J.EQ.9) THEN
              C(3:3) = '0'
C
C And increment next position
C
              IF (I.EQ.9) THEN
C
C Can't output a number greater than 9.99:
C
                PRINT *, 'WARNING:  a credit was greater than 9.99 ',
     & 'and was replaced by 9.99'
                C='9.99'
              ELSE
                C(1:1) = CHAR(I+48+1)
              ENDIF
C
            ELSE
              C(3:3) = CHAR(J+48+1)
            ENDIF
C
          ELSE
            C(4:4) = CHAR(K+48+1)
          ENDIF
C
        ELSE
C
C Don't round up
C
          C(4:4) = CHAR(K+48)
        ENDIF
C
      ELSE
C
C R is less than 1, so convert to character*4 suitable for reading as
C F4.3.  Evaluate the integer values for the first four positions in R,
C for example, .1234 <-> .IJKL where I, J, K, and L are single digit
C integers
C
        I = INT( (R*10.   ) - INT(R      )*10 )
        J = INT( (R*100.  ) - INT(R*10.  )*10 )
        K = INT( (R*1000. ) - INT(R*100. )*10 )
        L = INT( (R*10000.) - INT(R*1000.)*10 )
C
C Check to see if number in the ten-thousandths place is
C between 0.00049999 and 0.00050000.
C For example, 0.0565 is represented as 0.05649999..., which is a
C problem, since INT(0.0565*10000.) -> 564, but the above test will
C be used to set L to 5 if necessary and solve the problem.
C
CC        PRINT *,I,J,K,L
CC        PRINT *,INT(R),INT(R*10.),INT(R*100.),INT(R*1000.),INT(R*10000.)
CC        PRINT *,R,R*10.,R*100.,R*1000.,R*10000.
C
        IF ( ( (R*1000.-FLOAT(INT(R*1000.))) .GT. 0.49999 ).AND.
     &       ( (R*1000.-FLOAT(INT(R*1000.))) .LE. 0.50000 ) ) L=5
C
        C(1:1) = '.'
        C(2:2) = CHAR(I+48)
        C(3:3) = CHAR(J+48)
C
        IF (L.GE.5) THEN
C
C Round up
C
          IF (K.EQ.9) THEN
            C(4:4) = '0'
C
C And increment next position
C
            IF (J.EQ.9) THEN
              C(3:3) = '0'
C
C And increment next position
C
              IF (I.EQ.9) THEN
                C(1:1)='1'
                C(2:2)='.'
              ELSE
                C(2:2) = CHAR(I+48+1)
              ENDIF
C
            ELSE
              C(3:3) = CHAR(J+48+1)
            ENDIF
C
          ELSE
            C(4:4) = CHAR(K+48+1)
          ENDIF
C
        ELSE
C
C Don't round up
C
          C(4:4) = CHAR(K+48)
        ENDIF
C
      ENDIF
C
 99   CONTINUE
C
      RETURN
      END
