      PROGRAM RSDDRV
C
C RSDDRV is the driver for INPUT.  It queries the user for the input
C data file, whose default name is RSD.D.  The first two data "cards"
C in the data file provide the Option:
C
C 1. "Commitment to a Level of Effort"  Note that this option assumes
C      that the % of high emitters in the group of vehicles sampled
C      by RSD is the same as that of the whole fleet
C 2. "Commitment to a Specific Fleet Coverage"  Note that this option
C      assumes that the % of high emitters in the group sent via RSD to
C      the special I/M program is the same as that of the whole fleet
C 3. "Commitment to a Number of Failures"  Note that this option assumes
C      that there is a relationship between the emission level of the
C      cars chosen by RSD to go to the special RSD I/M program and the
C      RSD CO cutpoint chosen:  less stringent cutpoints mean worse
C      emitters.  Note:  cannot be used with Program 5.
C
C and the type of action taken on the information from RSD:
C
C 1. The resulting biennial data, when used in MOBILE (for a biennial
C program) (whether Test-and-repair or Test-only) actually models an I/M
C program where vehicles identified as high emitters by RSD participate
C in the annual I/M program, and the remainder participate in the
C biennial program.  The annual data is unchanged.
C
C 2. When the resulting annual data is used by MOBILE for a Test-and-
C repair program*, it actually models a program where vehicles
C identified as high emitters by RSD participate in an annual Test-only
C program and the remainder participate in an annual Test-and-repair
C program.  When the resulting biennial data is used by MOBILE for a
C Test-and-repair program*, it actually models a program where vehicles
C identified as high emitters by RSD participate in an annual Test-only
C program and the remainder participate in a biennial Test-and-repair
C program.
C * Note:  In a Test-and-repair program, mechanic training credits must
C   be properly set to their Test-and-repair values in MOBILE.  The only
C   way to do this is to explicitly run the Test-and-repair option in
C   MOBILE.  However, the IM credits get cut in half by MOBILE under
C   this option.  Therefore, in routines IM2 and TECH2, the last step in
C   calculating the new annual and biennial credits is to multiply them
C   each by two, so that they have the proper values when cut in half in
C   MOBILE.  See this note in IM2 and TECH2.
C
C 3. When the resulting annual data is used by MOBILE for a Test-only
C program, it actually models a program where vehicles identified as
C high emitters by RSD participate in an annual Test-only program and
C the remainder participate in an annual Retest-hybrid program.
C When the resulting biennial data is used by MOBILE for a Test-only
C program, it actually models a program where vehicles identified as
C high emitters by RSD participate in an annual Test-only program and
C the remainder participate in a biennial Retest-hybrid program.
C
C 4.  When the resulting annual data is used by MOBILE for a Test-only
C or a Test-and-repair program*, it actually models a program where
C vehicles identified as high emitters by RSD participate in the
C respective programs, but the remainder participate in no program.
C See * Note above.
C
C 5.  When the resulting annual or biennial data is used by MOBILE for a
C Test-only or a Test-and-repair program, it actually models a program
C where vehicles identified by RSD as non-high emitters are exempted
C from to participate in the IM program.  The remainder must go through
C the program.  Note:  cannot be used with Option 3.
C
C Calls subroutine INPUT
C
C Input: 
C by user:  RSDD
C data file(s):  none used
C 
C Output:
C no output
C data file(s):  none used
C
C Variable dictionary:
C
C  Name  Type Description
C ------  -   -- -  -   -    -     -      -       -        -         -
C RSDD    C*40 Filename of the input data file
C
C
C Notes:
C 30-June-1995 @ CSC-wcs Request 2-498 RSD Credits for Tech 1 & 2
C
C 23-Apr-1996 @ DynTel-wcs Request 2-498 RSD Credits for Tech 1 & 2
C
C
C Declare variables
C
      CHARACTER DEFALL*40, RSDD*40
C
C Identify code
C
      WRITE(UNIT=*,FMT=200)
 200  FORMAT(/,  ' Remote Sensing Device (RSD) DRAFT I/M ',
     &            'Credit Utility, June 3, 1996',/,
     &           ' --------------------------------------',
     &            '-----------------------------')
C
C Ask for input filename
C
      WRITE(UNIT=*,FMT=245)
 245  FORMAT(/, ' To select the default value for the ',
     &            'input below, press ENTER with no input:')
C
      WRITE(UNIT=*,FMT=246)
 246  FORMAT(/,  ' Enter the name of the RSD input data file: ',/,
     &           ' (default RSD.D) ')
      READ(UNIT=*,FMT=150)DEFALL
 150  FORMAT(A40)
      READ(UNIT=DEFALL,FMT=*,END=46,ERR=46)RSDD
      GOTO 47
 46   CONTINUE
      RSDD='RSD.D'
 47   CONTINUE
C
      CALL INPUT(RSDD)
C
      STOP
      END
